Loading...
Searching...
No Matches
BALL::SmartsMatcher::RecStruct_ Class Reference

a wrapper class which is used as an interface in the matching code to the pool More...

`#include <BALL/STRUCTURE/smartsMatcher.h>`

## Public Member Functions

| RecStruct_ ()
| default constructor
| RecStruct_ (const RecStruct_ &rec_struct)
| copy constructor
virtual | ~RecStruct_ ()
| destructor
RecStruct_ & | operator= (const RecStruct_ &)
| assignment operator
void | add (const RecStruct_ &rec_struct)
| adds the content of the given struct
void | add (const RecStruct_ &rec_struct, Size i)
| adds the the ith part of the content of the given struct
void | clear ()
| deletes all contents
void | dump (const String &name, Size depth_=0)
| dumps the contents (for debugging)

## Public Attributes

std::vector< std::set< const Atom * > > & | matched_atoms
| reference to the matched atoms in the core structure
std::vector< std::map< const SPNode *, const Atom * > > & | mapped_atoms
| reference to the mapped SPNodes to Atoms in the core structure
std::vector< std::set< const Atom * > > & | visited_atoms
| reference to the visited atoms in the core structure
std::vector< std::set< const Bond * > > & | visited_bonds
| reference to the visited bonds in the core structure
std::vector< std::set< const SPEdge * > > & | visited_edges
| reference to the visited edges in the core structure
std::vector< std::pair< const SPNode *, const Atom * > > & | first_matches
| reference to the first matches in the core structure

## Detailed Description

a wrapper class which is used as an interface in the matching code to the pool

Definition at line 195 of file smartsMatcher.h.

## Constructor & Destructor Documentation

## RecStruct_() [1/2]

BALL::SmartsMatcher::RecStruct_::RecStruct_ | ( |  | ) |

default constructor

## RecStruct_() [2/2]

BALL::SmartsMatcher::RecStruct_::RecStruct_ | ( | const RecStruct_ & | rec_struct | ) |

copy constructor

## ~RecStruct_()

virtual BALL::SmartsMatcher::RecStruct_::~RecStruct_ | ( |  | ) |

virtual

destructor

## Member Function Documentation

## add() [1/2]

void BALL::SmartsMatcher::RecStruct_::add | ( | const RecStruct_ & | rec_struct | ) |

adds the content of the given struct

## add() [2/2]

void BALL::SmartsMatcher::RecStruct_::add | ( | const RecStruct_ & | rec_struct,
|  | Size | i )

adds the the ith part of the content of the given struct

## clear()

void BALL::SmartsMatcher::RecStruct_::clear | ( |  | ) |

deletes all contents

## dump()

void BALL::SmartsMatcher::RecStruct_::dump | ( | const String & | name,
|  | Size | depth_ = 0 )

dumps the contents (for debugging)

## operator=()

RecStruct_ & BALL::SmartsMatcher::RecStruct_::operator= | ( | const RecStruct_ & |  | ) |

assignment operator

## Member Data Documentation

## first_matches

std::vector<std::pair<const SPNode*, const Atom*> >& BALL::SmartsMatcher::RecStruct_::first_matches

reference to the first matches in the core structure

Definition at line 231 of file smartsMatcher.h.

## mapped_atoms

std::vector<std::map<const SPNode*, const Atom*> >& BALL::SmartsMatcher::RecStruct_::mapped_atoms

reference to the mapped SPNodes to Atoms in the core structure

Definition at line 219 of file smartsMatcher.h.

## matched_atoms

std::vector<std::set<const Atom*> >& BALL::SmartsMatcher::RecStruct_::matched_atoms

reference to the matched atoms in the core structure

Definition at line 216 of file smartsMatcher.h.

## visited_atoms

std::vector<std::set<const Atom*> >& BALL::SmartsMatcher::RecStruct_::visited_atoms

reference to the visited atoms in the core structure

Definition at line 222 of file smartsMatcher.h.

## visited_bonds

std::vector<std::set<const Bond*> >& BALL::SmartsMatcher::RecStruct_::visited_bonds

reference to the visited bonds in the core structure

Definition at line 225 of file smartsMatcher.h.

## visited_edges

std::vector<std::set<const SPEdge*> >& BALL::SmartsMatcher::RecStruct_::visited_edges

reference to the visited edges in the core structure

Definition at line 228 of file smartsMatcher.h.